### Method

# Handy TabView insert_pinned

since: 1.2

#### Declaration [src]

    HdyTabPage*
    hdy_tab_view_insert_pinned (
      HdyTabView* self,
      GtkWidget* child,
      gint position
    )

#### Description [src]

Inserts a pinned page at `position`.

It’s an error to try to insert a pinned page after a non-pinned page, in that case `hdy_tab_view_insert()` should be used instead.

Available since: 1.2

#### Parameters

`child`

  Type: `GtkWidget`

  A widget to add.

  The data is owned by the caller of the method.

`position`

  Type: `gint`

  The position to add `child` at, starting from 0.

#### Return value

Type: `HdyTabPage`

The page object representing `child`.

The returned data is owned by the instance.